> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption.md).

# DialogueOption

Class in [Yarn.Unity](/2.5/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

```csharp
public class DialogueOption
```

## Fields

| Name                                                                                                                   | Description                                                           |
| ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------- |
| [DialogueOptionID](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption/yarn.unity.dialogueoption.dialogueoptionid.md) | The ID of this dialogue option                                        |
| [IsAvailable](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption/yarn.unity.dialogueoption.isavailable.md)           | Indicates whether this value should be presented as available or not. |
| [Line](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption/yarn.unity.dialogueoption.line.md)                         | The line for this dialogue option                                     |
| [TextID](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption/yarn.unity.dialogueoption.textid.md)                     | The ID of the dialogue option's text                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.dialogueoption.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
